import {defineStore} from 'pinia';
import {DiagnosisVO} from '@/api/patients/diagnosis/types';

export const useNutritionDiagnosisStore = defineStore('diagnosis', () => {
  const diagnosisList = ref<DiagnosisVO[]>([]);
  const diagnosisInfo = ref<DiagnosisVO>();
  const setDiagnosisList = (val) => {
    diagnosisList.value = val;
  };

  const setDiagnosisInfo = (val: DiagnosisVO) => {
    diagnosisInfo.value = val;
  };

  return {
    diagnosisList,
    diagnosisInfo,
    setDiagnosisList,
    setDiagnosisInfo
  };
});
